set buffer [ GuidoExecServer GetAllowableChargeLengths {} ]
set min [ GuidoGetParamBufferValue $buffer minChargeLength]
set max [ GuidoGetParamBufferValue $buffer maxChargeLength]
set min_option "0"
if {"$min" < "$max"} {
if {"$min" > "0.0"} {
set min_option "1"
}
}
GuidoForm frm70057 {
-default_buttons
-label "Charge length too short"
-layout BoxLayout Y_AXIS
-tip RD_CHARGE_TOO_SHORT
GuidoLabel Label1 {
-label "Charge length is shorter than minimum"
-height "1"
}
GuidoButtonGroupPanel chooseAction {
-layout BoxLayout X_AXIS
if { "$min_option" == "1" } {
GuidoRadioButton minimize_charge {
-height 1
-caption "Set to minimum length"
-selected_value minimize
}
}
GuidoRadioButton delete_charge {
-height 1
-caption "delete charge"
-selected_value delete
}
GuidoRadioButton reset_charge {
-height 1
-caption "reset charge"
-selected_value reset
-default true
}
}
}
